Bug 51827 - scp will not copy files over 2GB
Summary: scp will not copy files over 2GB
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-15 16:46 UTC by Cormack, Justin
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-15 16:46:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cormack, Justin 2001-08-15 16:46:31 UTC
Description of Problem:

scp will not copy files over 2GB
stops with error:

Value too large for defined data type


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. make file over 2GB
2. try to copy it with scp
3. 
Actual Results:

Value too large for defined data type



Expected Results:

copy file

Additional Information:
	

Presumably just needs recompiling with 64bit files.
There are probably other programs that do too...

Comment 1 Nalin Dahyabhai 2001-09-06 12:49:16 UTC
The proper flag wasn't being set, and there was a slight problem in the scp
server which prevented it from properly reporting the size of a large file to
the client, which should both be fixed in 2.9p2-7 and later.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.